package com.malk.jinlun.service;

import java.util.List;
import java.util.Map;

public interface CpClient {
    String getCpAccessToken();

    Map createCpBo(String schemaCode, Map data, String userId);

    Map updateCpBo(String schemaCode, Map data, String userId);

    Map getCpBo(String schemaCode, String objectId, String userId);

    Map getCpBoList(String schemaCode, Map queryCondition, Map options,int page, int size, String userId);

    List<Map> getCpUserInfo(String corpId, List<String> departmentIds, List<String> ids, String mobile, String name, int page, int size);

    List<Map> getCpDepartmentInfo();

    Map getCpBoResultData(Map result);

    void isSuccess(Map result);
}
